Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Не пересобирается openldap-2.4.33 [НЕ РЕШЕНО]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Russian
View previous topic :: View next topic  
Author Message
Tvin
n00b
n00b


Joined: 15 Sep 2010
Posts: 20

PostPosted: Wed Nov 14, 2012 4:11 am    Post subject: Не пересобирается openldap-2.4.33 [НЕ РЕШЕНО] Reply with quote

Возникла такая вот заковыка, друзья: после обновления системы и мира не пересобирается openldap-2.4.33, пересборка которого требуется по 'emerge @preserved-rebuild'.

Собственно ошибка:
Code:
./.libs/libldap.so: undefined reference to `gnutls_certificate_get_x509_cas'
collect2: ld returned 1 exit status
make[2]: *** [dntest] Ошибка 1
make[2]: *** Ожидание завершения заданий...
./.libs/libldap.so: undefined reference to `gnutls_certificate_get_x509_cas'
collect2: ld returned 1 exit status
make[2]: *** [ftest] Ошибка 1
./.libs/libldap.so: undefined reference to `gnutls_certificate_get_x509_cas'
collect2: ld returned 1 exit status
./.libs/libldap.so: undefined reference to `gnutls_certificate_get_x509_cas'
collect2: ld returned 1 exit status
make[2]: *** [ltest] Ошибка 1
make[2]: *** [apitest] Ошибка 1
./.libs/libldap.so: undefined reference to `gnutls_certificate_get_x509_cas'
collect2: ld returned 1 exit status
make[2]: *** [urltest] Ошибка 1
make[2]: Выход из каталога `/var/tmp/portage/net-nds/openldap-2.4.33/work/openldap-2.4.33/libraries/libldap'
make[1]: *** [all-common] Ошибка 1
make[1]: Выход из каталога `/var/tmp/portage/net-nds/openldap-2.4.33/work/openldap-2.4.33/libraries'
make: *** [all-common] Ошибка 1
 * ERROR: net-nds/openldap-2.4.33 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=net-nds/openldap-2.4.33'`,
 * the complete build log and the output of `emerge -pqv '=net-nds/openldap-2.4.33'`.
 * The complete build log is located at '/var/tmp/portage/net-nds/openldap-2.4.33/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-nds/openldap-2.4.33/temp/environment'.
 * Working directory: '/var/tmp/portage/net-nds/openldap-2.4.33/work/openldap-2.4.33'
 * S: '/var/tmp/portage/net-nds/openldap-2.4.33/work/openldap-2.4.33'


"emerge --info '=net-nds/openldap-2.4.33'" : http://bpaste.net/show/57878/ .
`emerge -pqv '=net-nds/openldap-2.4.33'` :
Code:
[ebuild   R   ] net-nds/openldap-2.4.33  USE="berkdb crypt gnutls ipv6 minimal slp ssl syslog tcpd -cxx -debug -experimental -icu -iodbc -kerberos -odbc -overlays -perl -samba -sasl (-selinux) -smbkrb5passwd"

'/var/tmp/portage/net-nds/openldap-2.4.33/temp/build.log': http://bpaste.net/show/57879/ .
'/var/tmp/portage/net-nds/openldap-2.4.33/temp/environment': http://bpaste.net/show/57880/ .

Это у меня беда или баг такой?


Last edited by Tvin on Fri Nov 16, 2012 4:39 am; edited 1 time in total
Back to top
View user's profile Send private message
burik666
n00b
n00b


Joined: 28 Jan 2007
Posts: 50
Location: Санкт-Петербург

PostPosted: Wed Nov 14, 2012 8:28 pm    Post subject: Reply with quote

попробуйте сделать revdep-rebuild
_________________
Linux for you
gentoo.bloodhost.ru Gentoo mirror (Russia, Saint-Petersburg)
Back to top
View user's profile Send private message
megabaks
Apprentice
Apprentice


Joined: 22 Jan 2012
Posts: 237
Location: Russia && Saint-Petersburg

PostPosted: Thu Nov 15, 2012 1:24 am    Post subject: Reply with quote

пересобирай gnutls и neon, если надо
в бго хоть заглянул бы
Code:
[ megabaks@desktop ] ~ $ bgo gnutls
UNCONFIRMED   386059: net-libs/neon uses deprecated function gnutls_certificate_verify_peers() of gnutls       
UNCONFIRMED   443094: dev-vcs/subversion-1.7.7 - svn ci -m segmentation fault in gnutls_x509_crt_get_subject () from /usr/lib64/libgnutls.so.28       
UNCONFIRMED   442948: net-mail/courier-imap-4.8.0 with net-libs/gnutls-3.1.4 - libcouriergnutls.c:12:26: fatal error: gnutls/extra.h: No such file or directory       
UNCONFIRMED   369253: net-libs/gnutls should provide local USE flag description of bindist       
UNCONFIRMED   402683: net-libs/gnutls-2.10.5 doesn't honor LINGUAS for locale files       
UNCONFIRMED   426124: net-libs/gnutls-2.12.18 does not install doc/certtool.cfg       
UNCONFIRMED   438222: net-libs/gnutls - ./configure needs library prefixes for cross-compiling       
UNCONFIRMED   407729: net-analyzer/openvas-libraries-4.0.5 - work/openvas-libraries-4.0.5/misc/network.c:422:3: error: ‘gnutls_protocol_set_priority’ is deprecated (declared at /usr/include/gnutls/compat.h:344)       
UNCONFIRMED   406757: media-video/rtmpdump crashes with gnutls[nettle]       
UNCONFIRMED   442538: kde-base/oxygen-icons-4.9.3 fails to build, wants libgnutls.so.26       
UNCONFIRMED   438890: net-nds/openldap USE="gnutls ssl" cannot find gcrypt.h       
UNCONFIRMED   423801: net-im/pidgin-2.10.4[gnutls] fails configure with net-libs/gnutls[nettle]       
UNCONFIRMED   423167: dev-php/pecl-http-1.7.4 fails at runtime with "undefined symbol: gcry_control" when using net-libs/gnutls[nettle]       
UNCONFIRMED   409961: app-emulation/virtualbox-4.1.10[vboxwebsrv] with net-libs/gsoap-2.8.8[gnutls] - /usr/lib64/libgsoapssl++.a(libgsoapssl___a-stdsoap2_ssl_cpp.o): In function `soap_ssl_  init':  (.text+0x47df): undefined reference to `gcry_control'       
UNCONFIRMED   412219: net-analyzer/wireshark with net-libs/gnutls-2.18.12 uses wrong decoder when decrypting TLS packets       
UNCONFIRMED   438776: www-apache/mod_gnutls-0.5.10 - gnutls_hooks.c:753:7: error: 'conn_rec' has no member named 'remote_addr'       
CONFIRMED   319529: ssl-cert eclass should support gnutls       
CONFIRMED   340247: net-libs/gnutls-2.10.1 fail test and block merge process       
CONFIRMED   361315: [TRACKER] Packages incompatible with net-libs/gnutls[nettle]       
CONFIRMED   290141: mail-mta/courier flag preferring gnutls over ssl       
CONFIRMED   321253: app-forensics/samhain version bump to 2.7.0a for libgnutls compatability       
CONFIRMED   224941: wpa-supplicant doesn't play well with gnutls (breaks PEAP MSCHAPV2 authentication)       
CONFIRMED   342071: sci-biology/ncbi-tools++ automagic dependency on gnutls       
CONFIRMED   440936: net-libs/neon-2.6.1-r1[gnutls] built against gnutls-3.0 fails to work with some tls sources       
CONFIRMED   438912: net-misc/wget[ssl,gnutls,static]: configure cannot locate gnutls support due to AC_LIB_HAVE_LINKFLAGS() usage       
CONFIRMED   421431: net-mail/courier-imap[gnutls] fails to build with net-libs/gnutls-3       
CONFIRMED   421387: sys-cluster/pacemaker-gui fails to build with net-libs/gnutls-3       
CONFIRMED   421391: [TRACKER] net-libs/gnutls-3 unmasking       
CONFIRMED   441688: net-dns/unbound keywording request for net-libs/gnutls[dane]       
CONFIRMED   443104: net-libs/gnutls[dane] should pass rootkey-file value used by net-dns/unbound       
CONFIRMED   421433: dev-libs/eet[gnutls] fails tests with net-libs/gnutls-3 or net-libs/gnutls-2[nettle]       
CONFIRMED   421403: net-analyzer/openvas-libraries fails to build with net-libs/gnutls-3       
CONFIRMED   421463: net-nds/openldap[gnutls] fails to build with net-libs/gnutls-3       
CONFIRMED   421385: net-im/jabberd fails to build with net-libs/gnutls-3       
CONFIRMED   361309: net-irc/ctrlproxy fails to build with net-libs/gnutls[nettle] (underlinking)       
CONFIRMED   421405: net-irc/ctrlproxy fails to build with net-libs/gnutls-3       
CONFIRMED   384637: Version bump and new homepage: www-apache/mod_gnutls-0.5.10       
CONFIRMED   421421: www-apache/mod_gnutls fails to build with net-libs/gnutls-3       
CONFIRMED   421777: sci-biology/ncbi-tools++ fails to build with net-libs/gnutls-3       
IN_PROGRESS   438354: =dev-libs/ucommon-5.2.2-r3[gnutls,-ssl] fails to compile with net-libs/gnutls[nettle]       
IN_PROGRESS   436212: net-analyzer/wireshark could be patched to work with net-libs/gnutls-3       
[ megabaks@desktop ] ~ $
Back to top
View user's profile Send private message
Tvin
n00b
n00b


Joined: 15 Sep 2010
Posts: 20

PostPosted: Thu Nov 15, 2012 5:25 am    Post subject: Reply with quote

burik666 wrote:
попробуйте сделать revdep-rebuild
Само собой, делал. В общем и целом, emerge @preserved-rebuild обычно не требует использования отдельно revdep-rebuild.

megabaks wrote:
пересобирай gnutls и neon, если надо
в бго хоть заглянул бы
Пересобрал, не помогает. И какой толк пересобирать gnutls, если в этом пакете нет функции, на которую ссылается openldap? При чем здесь вообще neon?

Что такое bgo? Баг-трекер генту? Если да, то смотрел - описанные там баги с gnutls решению не помогли, а для openldap-2.4.33 бага там нет. Команды 'bgo' у меня нет. Мегабакс, здесь не lor ;)
Back to top
View user's profile Send private message
megabaks
Apprentice
Apprentice


Joined: 22 Jan 2012
Posts: 237
Location: Russia && Saint-Petersburg

PostPosted: Thu Nov 15, 2012 7:29 am    Post subject: Reply with quote

нету?
http://lists.gnu.org/archive/html/help-gnutls/2012-08/msg00021.html
почитай - сразу станет понятно о чём я и почему сказал про бго
а "bgo" - это мой очередной скрипт :3
да, тебе надо либо ждать фиксов в лдап, либо откатывать gnutls, либо пилить патчи
Back to top
View user's profile Send private message
Tvin
n00b
n00b


Joined: 15 Sep 2010
Posts: 20

PostPosted: Fri Nov 16, 2012 4:28 am    Post subject: Reply with quote

megabaks wrote:
нету?
http://lists.gnu.org/archive/html/help-gnutls/2012-08/msg00021.html
почитай - сразу станет понятно о чём я и почему сказал про бго
а "bgo" - это мой очередной скрипт :3
да, тебе надо либо ждать фиксов в лдап, либо откатывать gnutls, либо пилить патчи
Баг, занчит. Ясно, благодарю за разъяснения.

Ну, у меня openldap установлен, только пересобраться не может, и всё вроде бы работает, а потому подожду.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Russian All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum